package fucoin.configurations;

import fucoin.configurations.internal.ConfigurationName;

/**
 * This configuration spawns 200 wallets to demonstrate the spawning of many headless wallets
 */
@ConfigurationName("Lots of Wallets")
public class MassWalletConfiguration extends AbstractConfiguration {
    @Override
    public void run() {
        initSupervisor();
        try {
            spawnWallets(200, false);
            System.out.println("Wallet spawning done!");
        } catch (Exception e) {
            System.out.println("Wallet spawning timed out!");
        }
    }

    @Override
    public void onReceive(Object message) {

    }
}
